Skip to content

Get a conversation

GET
/v2/health-navigator/conversations/{conversationId}
curl --request GET \
--url https://client-api.abi.ai/v2/health-navigator/conversations/01HK8GGQ123456789ABCDEFGHI \
--header 'Authorization: Bearer <token>'
conversationId
required
string

Health Navigator conversation session identifier.

Example
01HK8GGQ123456789ABCDEFGHI

Conversation history returned in message order.

Media typeapplication/json
object
userId

Abi user identifier.

string
sessionId

Conversation session identifier.

string
sessionStatus

Current conversation lifecycle status.

string
Allowed values: OPEN WAITING_FOR_RESPONSE RESOLVED CLOSED
messages

Ordered messages belonging to this conversation session.

Array<object>
object
messageId

ULID message identifier.

string
conversationId

Conversation identifier.

string
role

Sender role.

string
Allowed values: user assistant
content

Message content composed of ordered parts.

object
type
string
parts

Ordered text, actionable, resource, image, location, audio, video, or file parts.

Array
One of:

A text message part.

object
type
string
Allowed value: text
text

Text to display.

string
parentMessageId

Parent message identifier for a threaded reply.

string
createdAt
string format: date-time
updatedAt
string format: date-time
protocolVersion
string
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"userId": "abi12345",
"sessionId": "01HK8GGQ123456789ABCDEFGHI",
"sessionStatus": "OPEN",
"messages": [
{
"messageId": "01K9F5PWBM2AFT1RG7TMN3YG1R",
"conversationId": "01HK8GGQ123456789ABCDEFGHI",
"role": "user",
"content": {
"type": "message",
"parts": [
{
"type": "text",
"text": "I have a headache and a sore throat."
}
]
},
"createdAt": "2025-08-28T10:12:30.000Z"
}
],
"createdAt": "2025-08-28T10:12:00.000Z",
"updatedAt": "2025-08-28T10:13:04.000Z"
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}